> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/cloud-connect/describegoogleregions.md).

# DescribeGoogleRegions

## 1. 接口描述

本接口(DescribeGoogleRegions)用于查询Google接入点区域。

{% hint style="info" %}
**注意事项**

* 连接 Google Cloud 服务时的第一步是使用配对密钥并确保有可用的连接端口。
* Google 要求连接的带宽与配对密钥查找返回的列表中的预定义带宽之一相匹配。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型                                                                  | 描述                                                                   |
| ---------- | -- | ------------------------------------------------------------------- | -------------------------------------------------------------------- |
| product    | 否  | [CloudProduct](/api-reference/cn/sdn/datastructure.md#cloudproduct) | <p>筛选云节点支持的产品。</p><p>可用值：PrivateConnect(二层网络)、CloudRouter(三层网络)。</p> |
| pairingKey | 否  | String                                                              | Google 配对密钥。                                                         |

## 3. 响应结果

| 参数名称         | 类型                                                                         | 描述                                                       |
| ------------ | -------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId    | String                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| cloudRegions | Array of [CloudRegion](/api-reference/cn/sdn/datastructure.md#cloudregion) | 接入点相关的区域信息列表。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 通过Google 配对密钥查询对应的接入点信息**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeGoogleRegions
<Common Request Params>

Request：
{
   "pairingKey": "xxxxxxxxx/asia-southeast1/1"
}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "cloudRegions":[
        {
            "cloudRegionId":"asia-southeast1",
            "dataCenter":{
                "dcId":"SIN1",
                "cityName":"Singapore",
                "areaName":"AP",
                "dcName":"Equinix_SG1",
                "latitude":1.295689,
                "longitude":103.789789,
                "dcAddress":"20 Ayer Rajah Crescent, Ayer Rajah Industrial Park, Singapore 139964",
                "countryName":"Singapore"
            },
            "products":[
                "PrivateConnect",
                "CloudRouter"
            ],
            "haTypes":[
                {
                    "haType":"PRIMARY",
                    "isUsed":false
                }
            ]
        }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                           | 说明             |
| ------- | ----------------------------- | -------------- |
| 400     | INVALID\_GOOGLE\_PAIRING\_KEY | Google 配对密钥无效。 |
